VTK: vtkMatrix4x4 Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
vtkMatrix4x4 Class Reference

represent and manipulate 4x4 transformation matrices More...

`#include <vtkMatrix4x4.h>`

Inheritance diagram for vtkMatrix4x4:
[legend]
Collaboration diagram for vtkMatrix4x4:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkMatrix4x4 * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
void | DeepCopy (const vtkMatrix4x4 *source)
| Set the elements of the matrix to the same values as the elements of the given source matrix. More...
void | DeepCopy (const double elements[16])
| Non-static member function. More...
void | Zero ()
| Set all of the elements to zero. More...
void | Identity ()
| Set equal to Identity matrix. More...
bool | IsIdentity ()
| Returns true if this matrix is equal to the identity matrix. More...
void | Invert ()
void | Transpose ()
void | MultiplyPoint (const float in[4], float out[4])
| Multiply a homogeneous coordinate by this matrix, i.e. More...
void | MultiplyPoint (const double in[4], double out[4])
float * | MultiplyPoint (const float in[4])
| For use in Java or Python. More...
double * | MultiplyPoint (const double in[4])
float * | MultiplyFloatPoint (const float in[4])
double * | MultiplyDoublePoint (const double in[4])
void | Adjoint (const vtkMatrix4x4 *in, vtkMatrix4x4 *out)
| Compute adjoint of the matrix and put it into out. More...
double | Determinant ()
| Compute the determinant of the matrix and return it. More...
void | SetElement (int i, int j, double value)
| Sets the element i,j in the matrix. More...
double | GetElement (int i, int j) const
| Returns the element i,j from the matrix. More...
double * | GetData ()
| Returns the raw double array holding the matrix. More...
const double * | GetData () const
| Returns the raw double array holding the matrix. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkMatrix4x4 * | New ()
| Construct a 4x4 identity matrix. More...
static vtkTypeBool | IsTypeOf (const char *type)
static vtkMatrix4x4 * | SafeDownCast (vtkObjectBase *o)
static void | DeepCopy (double destination[16], const vtkMatrix4x4 *source)
| Set the elements of the given destination buffer to the same values as the elements of the given source matrix. More...
static void | DeepCopy (double destination[16], const double source[16])
| Copies the given source buffer to the given destination buffer. More...
static void | Zero (double elements[16])
static void | Identity (double elements[16])
static void | Invert (const vtkMatrix4x4 *in, vtkMatrix4x4 *out)
| Matrix Inversion (adapted from Richard Carling in "Graphics Gems," Academic Press, 1990). More...
static void | Invert (const double inElements[16], double outElements[16])
static void | Transpose (const vtkMatrix4x4 *in, vtkMatrix4x4 *out)
| Transpose the matrix and put it into out. More...
static void | Transpose (const double inElements[16], double outElements[16])
static void | PoseToMatrix (double pos[3], double ori[4], vtkMatrix4x4 *mat)
| Given an orientation and position this function will fill in a matrix representing the transformation from the pose to whatever space the pose was defined in. More...
static void | MultiplyPoint (const double elements[16], const float in[4], float out[4])
static void | MultiplyPoint (const double elements[16], const double in[4], double out[4])
static void | Adjoint (const double inElements[16], double outElements[16])
static double | Determinant (const double elements[16])
static void | MatrixFromRotation (double angle, double x, double y, double z, vtkMatrix4x4 *result)
| Construct a matrix from a rotation. More...
static void | MatrixFromRotation (double angle, double x, double y, double z, double matrix[16])
| Construct a matrix from a rotation. More...
static void | Multiply4x4 (const vtkMatrix4x4 *a, const vtkMatrix4x4 *b, vtkMatrix4x4 *c)
| Multiplies matrices a and b and stores the result in c. More...
static void | Multiply4x4 (const double a[16], const double b[16], double c[16])
| Multiplies matrices a and b and stores the result in c. More...
static void | Multiply4x4 (const double a[16], const double b[16], float c[16])
| Multiplies matrices a and b and stores the result in c. More...
static void | MultiplyAndTranspose4x4 (const double a[16], const double b[16], float c[16])
| Multiplies matrices a and b and stores the result in c. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Public Attributes
double | Element [4][4]
| The internal data is public for historical reasons. Do not use! More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkMatrix4x4 ()
| ~vtkMatrix4x4 () override=default
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
float | FloatPoint [4]
double | DoublePoint [4]
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

represent and manipulate 4x4 transformation matrices

vtkMatrix4x4 is a class to represent and manipulate 4x4 matrices. Specifically, it is designed to work on 4x4 transformation matrices found in 3D rendering using homogeneous coordinates [x y z w]. Many of the methods take an array of 16 doubles in row-major format. Note that OpenGL stores matrices in column-major format, so the matrix contents must be transposed when they are moved between OpenGL and VTK.

See also
  vtkTransform

Examples:
  vtkMatrix4x4 (Examples)

Online Examples:

Tests:
  vtkMatrix4x4 (Tests)

Definition at line 39 of file vtkMatrix4x4.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkMatrix4x4::Superclass

Definition at line 50 of file vtkMatrix4x4.h.

## Constructor & Destructor Documentation

## ◆ vtkMatrix4x4()

vtkMatrix4x4::vtkMatrix4x4 | ( |  | ) |
| inlineprotected

Definition at line 233 of file vtkMatrix4x4.h.

## ◆ ~vtkMatrix4x4()

vtkMatrix4x4::~vtkMatrix4x4 | ( |  | ) |
| overrideprotecteddefault

## Member Function Documentation

## ◆ New()

static vtkMatrix4x4* vtkMatrix4x4::New | ( |  | ) |
| static

Construct a 4x4 identity matrix.

## ◆ IsTypeOf()

static vtkTypeBool vtkMatrix4x4::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkMatrix4x4::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkMatrix4x4* vtkMatrix4x4::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkMatrix4x4::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkMatrix4x4* vtkMatrix4x4::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkMatrix4x4::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ DeepCopy() [1/4]

void vtkMatrix4x4::DeepCopy | ( | const vtkMatrix4x4 * | source | ) |
| inline

Set the elements of the matrix to the same values as the elements of the given source matrix.

Definition at line 57 of file vtkMatrix4x4.h.

## ◆ DeepCopy() [2/4]

static void vtkMatrix4x4::DeepCopy | ( | double | destination[16],
|  | const vtkMatrix4x4 * | source
| ) |  |
| inlinestatic

Set the elements of the given destination buffer to the same values as the elements of the given source matrix.

Definition at line 67 of file vtkMatrix4x4.h.

## ◆ DeepCopy() [3/4]

static void vtkMatrix4x4::DeepCopy | ( | double | destination[16],
|  | const double | source[16]
| ) |  |
| static

Copies the given source buffer to the given destination buffer.

The memory ranges must not overlap. Does not affect any matrix.

## ◆ DeepCopy() [4/4]

void vtkMatrix4x4::DeepCopy | ( | const double | elements[16] | ) |
| inline

Non-static member function.

Assigns to the matrix from the given elements array.

Definition at line 82 of file vtkMatrix4x4.h.

## ◆ Zero() [1/2]

void vtkMatrix4x4::Zero | ( |  | ) |
| inline

Set all of the elements to zero.

Definition at line 91 of file vtkMatrix4x4.h.

## ◆ Zero() [2/2]

static void vtkMatrix4x4::Zero | ( | double | elements[16] | ) |
| static

## ◆ Identity() [1/2]

void vtkMatrix4x4::Identity | ( |  | ) |
| inline

Set equal to Identity matrix.

Definition at line 101 of file vtkMatrix4x4.h.

## ◆ Identity() [2/2]

static void vtkMatrix4x4::Identity | ( | double | elements[16] | ) |
| static

## ◆ IsIdentity()

bool vtkMatrix4x4::IsIdentity | ( |  | ) |
| inline

Returns true if this matrix is equal to the identity matrix.

Definition at line 312 of file vtkMatrix4x4.h.

## ◆ Invert() [1/3]

static void vtkMatrix4x4::Invert | ( | const vtkMatrix4x4 * | in,
|  | vtkMatrix4x4 * | out
| ) |  |
| inlinestatic

Matrix Inversion (adapted from Richard Carling in "Graphics Gems," Academic Press, 1990).

Definition at line 117 of file vtkMatrix4x4.h.

## ◆ Invert() [2/3]

void vtkMatrix4x4::Invert | ( |  | ) |
| inline

Definition at line 122 of file vtkMatrix4x4.h.

## ◆ Invert() [3/3]

static void vtkMatrix4x4::Invert | ( | const double | inElements[16],
|  | double | outElements[16]
| ) |  |
| static

## ◆ Transpose() [1/3]

static void vtkMatrix4x4::Transpose | ( | const vtkMatrix4x4 * | in,
|  | vtkMatrix4x4 * | out
| ) |  |
| inlinestatic

Transpose the matrix and put it into out.

Definition at line 128 of file vtkMatrix4x4.h.

## ◆ Transpose() [2/3]

void vtkMatrix4x4::Transpose | ( |  | ) |
| inline

Definition at line 133 of file vtkMatrix4x4.h.

## ◆ Transpose() [3/3]

static void vtkMatrix4x4::Transpose | ( | const double | inElements[16],
|  | double | outElements[16]
| ) |  |
| static

## ◆ MatrixFromRotation() [1/2]

static void vtkMatrix4x4::MatrixFromRotation | ( | double | angle,
|  | double | x,
|  | double | y,
|  | double | z,
|  | vtkMatrix4x4 * | result
| ) |  |
| static

Construct a matrix from a rotation.

## ◆ MatrixFromRotation() [2/2]

static void vtkMatrix4x4::MatrixFromRotation | ( | double | angle,
|  | double | x,
|  | double | y,
|  | double | z,
|  | double | matrix[16]
| ) |  |
| static

Construct a matrix from a rotation.

## ◆ PoseToMatrix()

static void vtkMatrix4x4::PoseToMatrix | ( | double | pos[3],
|  | double | ori[4],
|  | vtkMatrix4x4 * | mat
| ) |  |
| static

Given an orientation and position this function will fill in a matrix representing the transformation from the pose to whatever space the pose was defined in.

For example if the position and orientation are in world coordinates then this method would set the matrix to be PoseToWorld

## ◆ MultiplyPoint() [1/6]

void vtkMatrix4x4::MultiplyPoint | ( | const float | in[4],
|  | float | out[4]
| ) |  |
| inline

Multiply a homogeneous coordinate by this matrix, i.e.

out = A*in. The in[4] and out[4] can be the same array.

Definition at line 156 of file vtkMatrix4x4.h.

## ◆ MultiplyPoint() [2/6]

void vtkMatrix4x4::MultiplyPoint | ( | const double | in[4],
|  | double | out[4]
| ) |  |
| inline

Definition at line 160 of file vtkMatrix4x4.h.

## ◆ MultiplyPoint() [3/6]

static void vtkMatrix4x4::MultiplyPoint | ( | const double | elements[16],
|  | const float | in[4],
|  | float | out[4]
| ) |  |
| static

## ◆ MultiplyPoint() [4/6]

static void vtkMatrix4x4::MultiplyPoint | ( | const double | elements[16],
|  | const double | in[4],
|  | double | out[4]
| ) |  |
| static

## ◆ MultiplyPoint() [5/6]

float* vtkMatrix4x4::MultiplyPoint | ( | const float | in[4] | ) |
| inline

For use in Java or Python.

Definition at line 171 of file vtkMatrix4x4.h.

## ◆ MultiplyPoint() [6/6]

double* vtkMatrix4x4::MultiplyPoint | ( | const double | in[4] | ) |
| inline

Definition at line 172 of file vtkMatrix4x4.h.

## ◆ MultiplyFloatPoint()

float* vtkMatrix4x4::MultiplyFloatPoint | ( | const float | in[4] | ) |
| inline

Definition at line 176 of file vtkMatrix4x4.h.

## ◆ MultiplyDoublePoint()

double* vtkMatrix4x4::MultiplyDoublePoint | ( | const double | in[4] | ) |
| inline

Definition at line 181 of file vtkMatrix4x4.h.

## ◆ Multiply4x4() [1/3]

void vtkMatrix4x4::Multiply4x4 | ( | const vtkMatrix4x4 * | a,
|  | const vtkMatrix4x4 * | b,
|  | vtkMatrix4x4 * | c
| ) |  |
| inlinestatic

Multiplies matrices a and b and stores the result in c.

Definition at line 296 of file vtkMatrix4x4.h.

## ◆ Multiply4x4() [2/3]

void vtkMatrix4x4::Multiply4x4 | ( | const double | a[16],
|  | const double | b[16],
|  | double | c[16]
| ) |  |
| inlinestatic

Multiplies matrices a and b and stores the result in c.

Definition at line 246 of file vtkMatrix4x4.h.

## ◆ Multiply4x4() [3/3]

void vtkMatrix4x4::Multiply4x4 | ( | const double | a[16],
|  | const double | b[16],
|  | float | c[16]
| ) |  |
| inlinestatic

Multiplies matrices a and b and stores the result in c.

Definition at line 267 of file vtkMatrix4x4.h.

## ◆ MultiplyAndTranspose4x4()

void vtkMatrix4x4::MultiplyAndTranspose4x4 | ( | const double | a[16],
|  | const double | b[16],
|  | float | c[16]
| ) |  |
| inlinestatic

Multiplies matrices a and b and stores the result in c.

Definition at line 281 of file vtkMatrix4x4.h.

## ◆ Adjoint() [1/2]

void vtkMatrix4x4::Adjoint | ( | const vtkMatrix4x4 * | in,
|  | vtkMatrix4x4 * | out
| ) |  |
| inline

Compute adjoint of the matrix and put it into out.

Definition at line 200 of file vtkMatrix4x4.h.

## ◆ Adjoint() [2/2]

static void vtkMatrix4x4::Adjoint | ( | const double | inElements[16],
|  | double | outElements[16]
| ) |  |
| static

## ◆ Determinant() [1/2]

double vtkMatrix4x4::Determinant | ( |  | ) |
| inline

Compute the determinant of the matrix and return it.

Definition at line 209 of file vtkMatrix4x4.h.

## ◆ Determinant() [2/2]

static double vtkMatrix4x4::Determinant | ( | const double | elements[16] | ) |
| static

## ◆ SetElement()

void vtkMatrix4x4::SetElement | ( | int | i,
|  | int | j,
|  | double | value
| ) |  |
| inline

Sets the element i,j in the matrix.

Definition at line 302 of file vtkMatrix4x4.h.

## ◆ GetElement()

double vtkMatrix4x4::GetElement | ( | int | i,
|  | int | j
| ) |  | const
| inline

Returns the element i,j from the matrix.

Definition at line 220 of file vtkMatrix4x4.h.

## ◆ GetData() [1/2]

double* vtkMatrix4x4::GetData | ( |  | ) |
| inline

Returns the raw double array holding the matrix.

Definition at line 225 of file vtkMatrix4x4.h.

## ◆ GetData() [2/2]

const double* vtkMatrix4x4::GetData | ( |  | ) | const
| inline

Returns the raw double array holding the matrix.

Definition at line 230 of file vtkMatrix4x4.h.

## Member Data Documentation

## ◆ Element

double vtkMatrix4x4::Element[4][4]

The internal data is public for historical reasons. Do not use!

Definition at line 43 of file vtkMatrix4x4.h.

## ◆ FloatPoint

float vtkMatrix4x4::FloatPoint[4]
| protected

Definition at line 236 of file vtkMatrix4x4.h.

## ◆ DoublePoint

double vtkMatrix4x4::DoublePoint[4]
| protected

Definition at line 237 of file vtkMatrix4x4.h.

The documentation for this class was generated from the following file:

- Common/Math/vtkMatrix4x4.h